## NMVPNConnection

NMVPNConnection

## Functions

GObject * | nm_vpn_connection_new ()
NMVPNConnectionState | nm_vpn_connection_get_vpn_state ()
const char * | nm_vpn_connection_get_banner ()

## Properties

gchar * | banner | Read
guint | vpn-state | Read

## Signals

void | vpn-state-changed | Run First

## Types and Values

#define | NM_VPN_CONNECTION_VPN_STATE
#define | NM_VPN_CONNECTION_BANNER

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMActiveConnection
                ╰── NMVPNConnection

## Description

## Functions

### nm_vpn_connection_new ()

    GObject *
    nm_vpn_connection_new (DBusGConnection *connection,
                           const char *path);

Creates a new NMVPNConnection.

#### Parameters

connection | the DBusGConnection |
path | the DBus object path of the new connection |

#### Returns

a new connection object.

[transfer full]

### nm_vpn_connection_get_vpn_state ()

    NMVPNConnectionState
    nm_vpn_connection_get_vpn_state (NMVPNConnection *vpn);

Gets the current NMVPNConnection state.

#### Parameters

vpn | a NMVPNConnection |

#### Returns

the VPN state of the active VPN connection.

### nm_vpn_connection_get_banner ()

    const char *
    nm_vpn_connection_get_banner (NMVPNConnection *vpn);

Gets the VPN login banner of the active NMVPNConnection.

#### Parameters

vpn | a NMVPNConnection |

#### Returns

the VPN login banner of the VPN connection. This is the internal string used by the connection, and must not be modified.

## Types and Values

### NM_VPN_CONNECTION_VPN_STATE

    #define NM_VPN_CONNECTION_VPN_STATE "vpn-state"

### NM_VPN_CONNECTION_BANNER

    #define NM_VPN_CONNECTION_BANNER "banner"

## Property Details

### The `“banner”` property

      “banner”                   gchar *

The VPN login banner of the active VPN connection.

Flags: Read

Default value: NULL

### The `“vpn-state”` property

      “vpn-state”                guint

The VPN state of the active VPN connection.

Flags: Read

Allowed values: <= 7

Default value: 0

## Signal Details

### The `“vpn-state-changed”` signal

    void
    user_function (NMVPNConnection *nmvpnconnection,
                   guint            arg1,
                   guint            arg2,
                   gpointer         user_data)

Flags: Run First